%define debug_package %{nil}

Name:           ocaml-camlimages
Version:        4.0.1
Release:        2%{?dist}
Summary:        OCaml image processing library

Group:          Development/Libraries
License:        LGPLv2 with exceptions
URL:            http://cristal.inria.fr/camlimages/eng.html

Source0:        https://bitbucket.org/camlspotter/camlimages/get/v4.0.1.tar.gz

# This file isn't published any more (that I could find).
# It's probably dated but at least should provide some info on how to
# use the library.
Source1:        camlimages-2.2.0-htmlref.tar.gz

Patch0:         ocaml-camlimages-libpng15.patch

BuildRequires:  ocaml, ocaml-findlib-devel, ocaml-omake
BuildRequires:  ocaml-lablgtk-devel
BuildRequires:  ocaml-x11
BuildRequires:  lablgtk, libpng-devel, libjpeg-devel
BuildRequires:  libXpm-devel, ghostscript-devel, freetype-devel
BuildRequires:  giflib-devel
BuildRequires:  libtiff-devel
BuildRequires:  gtk2-devel

%description
This is an image processing library, which provides some basic
functions of image processing and loading/saving various image file
formats. In addition the library can handle huge images that cannot be
(or can hardly be) stored into the memory (the library automatically
creates swap files and escapes them to reduce the memory usage).

%package        devel
Summary:        Development files for camlimages
Group:          Development/Libraries
Requires:       %{name}%{?_isa} = %{version}-%{release} 


%description    devel
The camlimages-devel package provides libraries and headers for 
developing applications using camlimages

Includes documentation provided by ocamldoc

%prep
%setup -q -n camlspotter-camlimages-c803efa9d5d3
%setup -q -T -D -a 1 -n camlspotter-camlimages-c803efa9d5d3
%patch0 -b .libpng

%build
omake

%install
# These rules work if the library uses 'ocamlfind install' to install itself.
export DESTDIR=$RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
omake install

strip $RPM_BUILD_ROOT%{_libdir}/ocaml/stublibs/*.so

mkdir -p $RPM_BUILD_ROOT/usr/share/doc/ocaml-camlimages-4.0.1
cp -pr License.txt htmlref $RPM_BUILD_ROOT/usr/share/doc/ocaml-camlimages-4.0.1

%files
%doc README License.txt
%{_libdir}/ocaml/camlimages
%exclude %{_libdir}/ocaml/camlimages/*.a
%exclude %{_libdir}/ocaml/camlimages/*.cmxa
# There aren't any *.cmx files
#%exclude %{_libdir}/ocaml/camlimages/*.cmx
%exclude %{_libdir}/ocaml/camlimages/*.mli
%{_libdir}/ocaml/stublibs/*.so
%{_libdir}/ocaml/stublibs/*.so.owner


%files devel
%doc htmlref
%{_libdir}/ocaml/camlimages/*.a
%{_libdir}/ocaml/camlimages/*.cmxa
# There aren't any *.cmx files
#%{_libdir}/ocaml/camlimages/*.cmx
%{_libdir}/ocaml/camlimages/*.mli


%changelog
* Sat Mar 10 2012 Bruno Wolff III <bruno@wolff.to> - 4.0.1-2
- Fixup "should fixes" from review

* Sun Jan 29 2012 Bruno Wolff III <bruno@wolff.to> - 4.0.1-1
- Resurrect ocaml-camlimages
